#include <stdlib.h>
#include <stdio.h>
#include "LinkedList.h"

#define NBVAL 200

LinkedList *l = NULL;

int main() {
  int i;

  l = newLL();

  for (i = 0 ; i < NBVAL ; ++i) {
    addLL(l, i/2);
  }

  for (i = NBVAL-1 ; i >= 0 ; --i) {
    removeLL(l, i/2);
  }

  // Analyse du resultat du test
  if (sizeLL(l) != 0) {
    printf("Test KO (la liste finale contient %d elements au lieu de 0 !)\n", sizeLL(l));
    dumpLL(l);
    return EXIT_FAILURE;    
  }

  freeLL(l);

  printf("Test OK (la liste finale est vide)\n");

  return EXIT_SUCCESS;
}

  
    
